me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons

## Class Wheel

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable
    - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Wheel

    public class Wheel
    extends Colorable

### Constructor Summary

Constructors
Constructor and Description
`Wheel()`
`Wheel(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, java.lang.Integer rotationOffset, java.lang.Boolean steering, org.bukkit.Color color, RimDesign type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Float` `getExtraOffset()` The steering rotation ofsset of the wheel
`java.lang.Integer` `getRotationOffset()` The rotation offset of the wheel
`java.lang.Boolean` `getSteering()` Is this wheel a front wheel (A steering wheel)
`void` `setExtraOffset(java.lang.Float extraOffset)` The steering rotation ofsset of the wheel
`void` `setRotationOffset(java.lang.Integer rotationOffset)` The rotation offset of the wheel
`void` `setSteering(java.lang.Boolean steering)` Is this wheel a front wheel (A steering wheel)
`void` `spawnStand(org.bukkit.Location base, SpawnedVehicle owningVehicle)`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable

`getColor, getSkin, getSkinColored, setColor, setSkin`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

`applyExtraOffset, despawnStand, getHolder, getIsCustomPlaced, getOwningVehicle, getUID, getXOffset, getYOffset, getZOffset, setHolder, setIsCustomPlaced, setOwningVehicle, setUID, setXOffset, setYOffset, setZOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Wheel

    public Wheel(java.lang.Double xOffset,
                 java.lang.Double yOffset,
                 java.lang.Double zOffset,
                 java.lang.Integer rotationOffset,
                 java.lang.Boolean steering,
                 org.bukkit.Color color,
                 RimDesign type)

#### Wheel

    public Wheel()

### Method Detail

#### spawnStand

    public void spawnStand(org.bukkit.Location base,
                           SpawnedVehicle owningVehicle)

Overrides:
  `spawnStand` in class `Part`

#### getSteering

    public java.lang.Boolean getSteering()

Is this wheel a front wheel (A steering wheel)

#### getRotationOffset

    public java.lang.Integer getRotationOffset()

The rotation offset of the wheel

#### getExtraOffset

    public java.lang.Float getExtraOffset()

The steering rotation ofsset of the wheel

#### setSteering

    public void setSteering(java.lang.Boolean steering)

Is this wheel a front wheel (A steering wheel)

#### setRotationOffset

    public void setRotationOffset(java.lang.Integer rotationOffset)

The rotation offset of the wheel

#### setExtraOffset

    public void setExtraOffset(java.lang.Float extraOffset)

The steering rotation ofsset of the wheel